=== debian/changelog ===
libzdnn (0.4.0-0ubuntu1) jammy; urgency=medium

  * Initial release v0.4.0 (LP: #1959396)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 08 Feb 2022 19:54:55 +0100
