=== debian/control ===
Source: libzdnn
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frank Heimes <frank.heimes@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/IBM/zDNN

Package: libzdnn-dev
Section: libdevel
Architecture: s390x
Multi-Arch: same
Depends:
 libzdnn0 (= ${binary:Version}),
 ${misc:Depends},
Description: IBM Z Deep Neural Network Library (zDNN) (development)
 IBM Z Deep Neural Network Library (zDNN) provides an
 interface for applications making use of
 Neural Network Processing Assist Facility (NNPA).
 This package provides development headers.

Package: libzdnn0
Architecture: s390x
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IBM Z Deep Neural Network Library (zDNN)
 IBM Z Deep Neural Network Library (zDNN) provides an
 interface for applications making use of
 Neural Network Processing Assist Facility (NNPA).
