=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ # make

override_dh_auto_build:
	# to avoid 'make' or 'make all', that incl. 'test' which does not work
	dh_auto_build -- build

override_dh_auto_test:
	# skipping test, due to lack of availability of 'unity' unit test framework

override_dh_auto_clean:
	# avoid failing clean in a clean or unconfigured environment
	if [ -f config.make ]; then dh_auto_clean; fi
