=== debian/changelog ===
libzdnn (1.0.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2007175)
  * Updated 'Standards-Version' in d/control to latest 4.6.1.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 13 Feb 2023 19:42:44 +0100
