=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libzdnn-$1.tar.gz%" \
    https://github.com/IBM/zDNN/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
