=== tests/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-License-Identifier: Apache-2.0
 #
 # Copyright IBM Corp. 2021
-#
+# 
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
-#
+# 
 #     http://www.apache.org/licenses/LICENSE-2.0
-#
+# 
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@@ -15,7 +15,7 @@
 # limitations under the License.
 
 THIRDPARTY_ROOT = third_party
-UNITY_ROOT = $(THIRDPARTY_ROOT)/Unity
+UNITY_ROOT ?= $(THIRDPARTY_ROOT)/Unity
 
 OBJDIR := obj
 BINDIR := bin
