=== debian/changelog ===
libzdnn (1.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2095373)
  * Expand d/libzdnn0.symbols with new/additional symbols.
  * Bump Standards-Version field in d/control to latest level 4.7.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 21 Jan 2025 14:33:08 +0100

libzdnn (1.0.1-0ubuntu2) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:48 +0200
