=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/IBM/zDNN
