## libzdnn 1.1.2

=== debian/changelog ===
libzdnn (1.1.2-0ubuntu1) questing; urgency=medium

  * New upstream release. (LP: #2116713)
    - No symbols update required.
    - Bump Standards-Version field in d/control to latest level 4.7.2.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 15 Jul 2025 11:49:55 +0200
